///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 30.04.2023 Creation time: 13:27:18
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _DISPOEINGABE_
#define _DISPOEINGABE_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#PRAGMA LIBRARY( "ascom10.lib" )

CLASS _DispoEingabe FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Contained control elements
      VAR Button2
      VAR Button4
      VAR Button1
      VAR Status 
      VAR Button3

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _DispoEingabe:init( oParent, oOwner, aPos, aSize, aPP, lVisible )


   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {-4,550}, ;
           lVisible TO .F. , ;
           aPP      TO {}

   AAdd ( aPP, { XBP_PP_BGCLR, GRA_CLR_DARKCYAN } )
   AAdd ( aPP, { XBP_PP_FGCLR, GRA_CLR_BLACK } )
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "24.Arial" } )
   
   IF Empty(aSize) == .T.
      IF IsMemberVar(self,"ClientSize") == .T.
         aSize := {0,0}
      ELSE
         aSize := {441,527}
      ENDIF
   ENDIF
   
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   IF aSize[1] == 0 .AND. aSize[2] == 0
      ::XbpDialog:ClientSize := {425,488}
   ENDIF
   ::XbpDialog:drawingArea:ColorBG := GRA_CLR_DARKCYAN  
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "DispoEingabe"

   ::editControls := {}

   ::Button2 := XbpPushButton():new( ::drawingArea, , {56,160}, {300,120}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::Button2:caption := "EINGABE"
   ::Button2:tabStop := .T.
   ::Button2:activate := {|| NIL }

   ::Button4 := XbpPushButton():new( ::drawingArea, , {284,8}, {132,60}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::Button4:caption := "ENDE"
   ::Button4:tabStop := .T.
   ::Button4:activate := {|| NIL }

   ::Button1 := XbpPushButton():new( ::drawingArea, , {56,300}, {300,120}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::Button1:caption := "DISPOLISTE"
   ::Button1:tabStop := .T.
   ::Button1:activate := {|| NIL }

   ::Status  := XbpStatusBar():new( ::drawingArea, , {12,440}, {400,40} )

   ::Button3 := XbpPushButton():new( ::drawingArea, , {56,80}, {300,60}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::Button3:caption := "Daten bertragen"
   ::Button3:tabStop := .T.
   ::Button3:activate := {|| NIL }

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _DispoEingabe:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::Button2:create()

   ::Button4:create()

   ::Button1:create()

   ::Status:create()
   ::Status:Caption := "Arbeitsjahr:"

   ::Button3:create()


RETURN self

#endif

//EOF
/////